Page MenuHomeFreeBSD

Skip the SSL check in irc/quasssel
ClosedPublic

Authored by tcberner on Oct 20 2016, 6:57 AM.

Details

Summary

The code that checks whether or not Qt5 was compiled with
SSL support is broken [1]:

  • Performing Test HAVE_SSL
  • Performing Test HAVE_SSL - Failed

Similar to what some Linux distros (fedora[2], gentoo[3], arch[4],...)
decided to do, simply tell cmake, that we have SSL anyways, by
passing -DHAVE_SSL to it.

If makc@ approves, I would also grab MAINTAINERSHIP of this
port for kde@.

[1] http://beefy4.nyi.freebsd.org/data/latest-per-pkg/quassel/0.12.4/head-amd64-default.log
[2] http://pkgs.fedoraproject.org/cgit/rpms/quassel.git/tree/quassel.spec#n104
[3] https://gitweb.gentoo.org/repo/gentoo.git/tree/net-irc/quassel/quassel-0.12.4.ebuild#n147
[4] https://git.archlinux.org/svntogit/community.git/tree/trunk/PKGBUILD?h=packages/quassel#n34<<Replace this line with your Revision Title>>

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tcberner updated this revision to Diff 21523.Oct 20 2016, 6:57 AM
tcberner retitled this revision from to Skip the SSL check in irc/quasssel.
tcberner updated this object.
tcberner edited the test plan for this revision. (Show Details)
tcberner added reviewers: makc, rakuco, mat.
tcberner added a subscriber: adridg.
mat accepted this revision.Oct 20 2016, 10:35 PM
mat edited edge metadata.

Unless the build fails, you will need to bump PORTREVISION.

This revision is now accepted and ready to land.Oct 20 2016, 10:35 PM
tcberner updated this revision to Diff 21574.Oct 21 2016, 6:25 AM
tcberner edited edge metadata.
  • Bump PORTREVISION
  • Set MAINTAINER
  • Instead of passing -DHAVE_SSL, use the upstream fix from git spotted by rakuco@
This revision now requires review to proceed.Oct 21 2016, 6:25 AM
mat accepted this revision.Oct 21 2016, 3:00 PM
mat edited edge metadata.
This revision is now accepted and ready to land.Oct 21 2016, 3:00 PM
This revision was automatically updated to reflect the committed changes.
woodsb02 edited edge metadata.Oct 27 2016, 3:39 PM

Hi Tobias,
Thanks for submitting this - I just committed it with a slightly different file name (to pet portlint), but otherwise the same patch contents.
If it's ok with you, I would like to hang onto the port as I have some changes almost ready for submit to separate irc/quassel-core into a separate port (allowing it to be installed on a server and irc/quassel package to be installed on a desktop).
Regards,
Ben